#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    vector<int> n1(m);
    vector<int> n2(m);
    for(int i1=0; i1<m; i1++)
        cin >> n1[i1];
    for(int i2=0; i2<m; i2++)
        cin >> n2[i2];
    int q;
    cin >> q;
    vector<int> x(q);
    vector<int> y(q);
    for(int j=0; j<q; j++){
        cin >> x[j];
        cin >> y[j];
    }

    int obilazak = 0;
    for(int k=0; k<q; k++){
        int put1 = 0, put2 = 0;
        if(x[k] == 1){
            obilazak = n2[y[k]-2] + n2[y[k]-1] + n2[y[k]];
            for(int k1=0; k1<m; k1++){
                put1 += n1[k1];
                put2 += n2[k1];
            }
            put1 -= n1[y[k]-1];
            put1 += obilazak;
            put1 += n2[m-1];
            put2 += n1[0];
        }
        if(x[k] == 2){
            obilazak = n1[y[k]-2] + n1[y[k]-1] + n1[y[k]];
            for(int k2=0; k2<m; k2++){
                put1 += n1[k2];
                put2 += n2[k2];
            }
            put2 -= n2[y[k]-1];
            put2 += obilazak;
            put1 += n2[m-1];
            put2 += n1[0];
        }
        if(put1 > put2)
            cout << put2 << endl;
        else
            cout << put1 << endl;

    }
    return 0;
}